1. Templates
FlowMate API Documentation
  • Authentication
    • Login
      POST
  • Flows
    • Retrieve all flows
      GET
    • Find Flow by ID
      GET
    • Deletes a flow
      DELETE
    • Update an existing flow
      PATCH
    • Bulk update a number of existing flows
      PATCH
    • Start a flow
      POST
    • Stop a flow
      POST
    • Start multiple flows
      POST
    • Stop multiple flows
      POST
  • User
    • get all users
      GET
    • Create user
      POST
    • get a user by id
      GET
    • get current user
      GET
  • Templates
    • Retrieve all flow templates
      GET
    • Add a new template to the repository
      POST
    • Find Flow Template by ID
      GET
    • Deletes a flow template
      DELETE
    • Update an existing flow template
      PATCH
  • Reporting & Monitoring
    • Get Executions
      GET
    • Get Logs
      GET
  • Webhooks
    • Incoming Webhook
      POST
  • Schemas
    • Schemas
      • Status
      • Flow
      • GlobalRole
      • FlowTemplate
      • Permissions
      • Meta
      • MembershipRole
      • Owner
      • Token
      • ArrayOfIds
      • TokenCreate
      • Login data
      • Register data
      • Tenant Schema
      • Tenant Schema
      • Role
      • MutableRole
      • User body
      • Access token object
      • users' membership in a tenant context
      • User tenant membership
      • ArrayOfTenants
      • resetPassword
      • ArrayOfUsers
      • ArrayOfUserTenantContext
    • RequestBodies
      • ArrayOfIds
      • addTenantToFlow
    • MutableFlow
    • MutableFlowTemplate
    • FlowGraph
    • User information
    • Create user
    • ArrayOfIds1
  1. Templates

Retrieve all flow templates

GET
https://api.flowmate.ai/templates
This will only return Flow Templates that are either directly associated with the user, or that are associated with a tenant that the user is also a member of. Requires the 'flowTemplates.read' permissions.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.flowmate.ai/templates?page[size]=undefined&page[number]=undefined&filter[status]=undefined&filter[user]=undefined&sort=undefined&search=undefined&tags=undefined' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
A list of flow templates.
Bodyapplication/json

Example
{
    "data": [
        {
            "name": "Example flow",
            "description": "This flow polls items from a source system and processes them with a code component.",
            "graph": {
                "nodes": [
                    [
                        {
                            "id": "step_1",
                            "componentId": "string",
                            "name": "Example adapter",
                            "function": "getItemsPolling",
                            "description": "Polls items from the source system"
                        },
                        {
                            "id": "step_2",
                            "componentId": "string",
                            "name": "Code component",
                            "function": "execute",
                            "description": "",
                            "fields": {
                                "code": "function* run() {console.log('Hello from the code component');yield msg;}"
                            }
                        }
                    ]
                ],
                "edges": [
                    {
                        "id": "string",
                        "config": {
                            "condition": "string",
                            "mapper": {}
                        },
                        "source": "step_1",
                        "target": "step_2"
                    }
                ]
            },
            "type": "ordinary",
            "cron": "*/5 * * * *",
            "owners": [
                {
                    "id": "string",
                    "type": "string"
                }
            ],
            "id": "string",
            "status": "published",
            "tags": [
                "advanced",
                "premium"
            ],
            "createdAt": "2019-07-30T12:52:45.957Z",
            "updatedAt": "2019-07-30T12:52:45.957Z"
        }
    ],
    "meta": {
        "page": 0,
        "perPage": 0,
        "total": 0,
        "totalPages": 0
    }
}
Modified at 2026-10-30 08:52:16
Previous
get current user
Next
Add a new template to the repository
Built with